EDIT - feature request #7572

SpecimenTypeDesignationEditor: Collection combobox shows collection.code and
collection.institution

07/20/2018 12:02 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.2

Severity: major

Description

this is required because ...

Fall 3: Es gibt einen Code, der identisch mit einen Index Herbariorum Code ist (NWU) fur Northwest University, ist aber nur an der
genauen Institutionsadresse unterscheidbar.

Related issues:
Blocked by EDIT - feature request #7590: findByTitleWithRestrictions allows c... Closed

Associated revisions

Revision d7edf1e0 - 07/25/2018 04:36 PM - Andreas Kohlbecker

fix #7572 CollectionCaptionGenerator to show collection code and institution in comboboxes

Revision 09a9df91 - 07/27/2018 02:02 PM - Andreas Kohlbecker

ref #7572 also searching the institute titteCache when looking up for collections

Revision 359¢3906 - 07/27/2018 02:11 PM - Andreas Kohlbecker
ref #7572 two bug fixes

History

#1 - 07/25/2018 04:36 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|d7edf1e089bd6f3a63904{86bf6160aaa4d1839a.

#2 - 07/26/2018 02:36 PM - Andreas Kohlbecker

The CdmPFilterablePagingProvider is not yet including the institution titlecache in the search.

For this to implement we need to use the eu.etaxonomy.cdm.persistence.dao.common.Restriction which need to be combined by OR instead of AND,
so the Restrictionclass needs to be extended in that way: #7590

#3 - 07/26/2018 02:37 PM - Andreas Kohlbecker
- Blocked by feature request #7590: findByTitleWithRestrictions allows combining Restrictions by OR added

#4 - 07/26/2018 02:37 PM - Andreas Kohlbecker

- Status changed from Resolved to In Progress

#5 - 07/27/2018 02:12 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

please review.
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-vaadin/revisions/d7edf1e089bd6f3a63904f86bf6160aaa4d1839a
https://dev.e-taxonomy.eu/redmine/issues/7590

#6 - 08/20/2018 02:18 PM - Wolf-Henning Kusber

- Status changed from Resolved to Closed

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 100

Review: institutions as well as codes can be searched. Seem to work.
